g2bAPI Reference
Runs

Record client run timing

Records a bounded client-side milestone without accepting content or secrets.

POST
/v1/runs/{id}/observations

Records a bounded client-side milestone without accepting content or secrets.

Authorization

bearerAuth
AuthorizationBearer <token>

Create an API key in g2b Settings, then send it as a Bearer token.

In: header

Path Parameters

id*string
Length1 <= length <= 256

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/runs/string/observations" \  -H "Content-Type: application/json" \  -d '{    "name": "client.submitted",    "occurred_at": "2019-08-24T14:15:22Z",    "elapsed_ms": 0  }'
Empty